--	Query stats and SQL text
SELECT	 top 10  ST.Text
		, QS.last_execution_time
		, QS.Execution_Count
		, QS.SQL_handle		
		, QS.Plan_Handle
FROM	sys.dm_exec_query_stats QS
CROSS APPLY sys.dm_exec_sql_text(QS.sql_handle) as ST
order by QS.last_execution_time desc

--	Query Stats, SQL Text and Plan Attributes
select	top 100 QS.Plan_Handle
		, ST.Text
		, PA.*
FROM	sys.dm_exec_query_stats  QS
CROSS APPLY sys.dm_exec_sql_text(QS.sql_handle) ST
OUTER APPLY sys.dm_exec_plan_attributes(QS.plan_handle) PA
order by QS.Plan_Handle