-- Create a function that returns a table
-- of total parking fines for a student
alter function fn_ParkingFines(@STUDENT_ID	int)
returns @ParkingFines table (
	  STUDENT_ID	int
	, AMOUNT		smallmoney
	, RANKING		int
)
as
begin
	--	Use a CTE to get parking fines
	;with ParkingFines(STUDENT_ID, AMOUNT, RANKING)
	as (
			select	  STUDENT_ID
					, sum(PF.AMOUNT) as AMOUNT
					,  RANK() over (order by sum(PF.AMOUNT) desc) as RANKING 
			from	PARKING_FINES as PF	
			where	PF.STUDENT_ID = @STUDENT_ID
			group by STUDENT_ID
	)
	
	--	Insert the results from the CTE into 
	--	the Out Table @ParkingFines
	insert into @ParkingFines
	select	STUDENT_ID
			, AMOUNT
			, RANKING		
	from	ParkingFines
	where	ranking = 1
	
	return;
	
end
go


-- Create a function that returns a table
-- of total parking fines for a student
create function fn_AllParkingFines(@STUDENT_ID	int)
returns @ParkingFines	table (
	  STUDENT_ID	int
	, AMOUNT		smallmoney
)
as
begin
	
	--	Insert the all of the parking fines
	--	into the Out Table @ParkingFines
	insert into @ParkingFines(STUDENT_ID, AMOUNT)
	select	  STUDENT_ID
			, AMOUNT
	from	PARKING_FINES as PF	
	where	PF.STUDENT_ID = @STUDENT_ID
	
	return;
	
end
go