--	Create the database
create database INTERSECT_DB
go

--	Use the database
use INTERSECT_DB
go

--	Drop the table, if it exists
if(OBJECT_ID('STUDENTS') is not null)
begin
	drop table STUDENTS;
end

--	Create the students table
create table STUDENTS (
	  STUDENT_ID		int identity(1000,1)
	, NAME				varchar(25)
	, PHONE				varchar(12)
	constraint PK_STUDENTS_ID primary key clustered (STUDENT_ID)
)

--	Insert some values into the Students table
insert into STUDENTS
values ('Java Jill', '512-555-1111')
	, ('.NET Dave', '512-555-2222')
	, ('NOSQL Steve', '512-555-3333')
	, ('SQL Master', '512-555-4444')
	, ('The Situation', '512-555-4444')

SELECT  *
FROM    STUDENTS

--	Drop the table, if it exists
if(OBJECT_ID('PARKING_FINES') is not null)
begin
	drop table PARKING_FINES;
end

-- Create a table for Parking fines
create table PARKING_FINES (
	  PARKING_FINE_ID	int identity(300,1)
	, STUDENT_ID		int
	, AMOUNT			smallmoney
)
alter table PARKING_FINES
add constraint PK_PARKING_FINES_ID primary key clustered (PARKING_FINE_ID)

--	Create a Foreign Key on Student_ID
alter table PARKING_FINES
add constraint FK_PARKING_FINES_STUDENT_ID foreign key (STUDENT_ID)
references STUDENTS(STUDENT_ID);

--	Insert some values into the Fine Type Table
insert into PARKING_FINES
values (1000,60)
	,  (1001,120)
	,  (1002,25)
	,  (1004,200)

select *
from	PARKING_FINES

--	Drop the LIBRARY fines table, if it exists
if(OBJECT_ID('LIBRARY_FINES') is not null)
begin
	drop table LIBRARY_FINES;
end

-- Create a table for library fines
create table LIBRARY_FINES (
	  LIBRARY_FINE_ID	int identity(300,1)
	, STUDENT_ID		int
	, AMOUNT			smallmoney
)
alter table LIBRARY_FINES
add constraint PK_LIBRARY_FINES_ID primary key clustered (LIBRARY_FINE_ID)

--	Create a Foreign Key on Student_ID
alter table LIBRARY_FINES
add constraint FK_LIBRARY_FINES_STUDENT_ID foreign key (STUDENT_ID)
references STUDENTS(STUDENT_ID);

--	Insert some values into the Fine Type Table
insert into LIBRARY_FINES
values (1001,11.00)
	,  (1002,2.50)
	,  (1004,200.00)

select *
from	LIBRARY_FINES


--	Drop the FACILITY fines table, if it exists
if(OBJECT_ID('FACILITY_FINES') is not null)
begin
	drop table FACILITY_FINES;
end

-- Create a table for FACILITY fines
create table FACILITY_FINES (
	  FACILITY_FINE_ID	int identity(300,1)
	, STUDENT_ID		int
	, AMOUNT			smallmoney
)
alter table FACILITY_FINES
add constraint PK_FACILITY_FINES_ID primary key clustered (FACILITY_FINE_ID)

--	Create a Foreign Key on Student_ID
alter table FACILITY_FINES
add constraint FK_FACILITY_FINES_STUDENT_ID foreign key (STUDENT_ID)
references STUDENTS(STUDENT_ID);

--	Insert some values into the Fine Type Table
insert into FACILITY_FINES
values (1000,500.00)
	,  (1001,55.00)
	,  (1004,1000.00)
	
SELECT  *
FROM    FACILITY_FINES

--	Drop the database when you're done.
--drop database INTERSECT_DB
--go
